:: This batch file checks for network connection problems
:: and saves the output to a .txt file.
ECHO OFF
ECHO %1
set useDefaultFile = "false"
set firmwareFileName=LTPlus_hnyl.bin
set productID=1fc9:00a1
IF [%1]==[] (echo No File Provided 
set useDefaultFile = "true"
)
::"C:\Program Files\SEGGER\JLink\JFlash.exe" --help

:: Check for dfu Utility

IF not exist "dfu-util.exe" (
	echo dfu Utility is not in this dir , pls add dfu_util.exe.
	timeout /t 30	
	goto :EOF

)
:: Check for dfu Utility
echo dfu utility found
IF not exist "libusb-1.0.dll" (
	echo dfu Utility dll is not in this dir , pls copy libusb-1.0.dll in this dir,Firmware update failed, try again.
	timeout /t 30	
	goto :EOF

)

:: Check for firmware
IF not exist %firmwareFileName% (
	echo Error %firmwareFileName% is not in this dir , pls copy %firmwareFileName% in this directory. 
	timeout /t 30
	goto :EOF

)
:: Check if more than one device is avaibel in DFU

setlocal enabledelayedexpansion

set "device_id_to_find=1fc9:00a1"

for /f "tokens=*" %%i in ('dfu-util.exe --list 2^>^&1') do (
    echo %%i | find "!device_id_to_find!" > nul
    if !errorlevel! equ 0 (
        for /f "tokens=7 delims==, " %%a in ("%%i") do (
            set "devnum=%%a"
            echo Devnum for %device_id_to_find% is !devnum!
        )
    )
)

echo Flashing Firmware
timeout /t 5
dfu-util.exe -n %devnum% -D %firmwareFileName%
timeout /t 15
echo Firmware update done





:EOF
:: View network connection details